# Generated by Django 4.1.7 on 2023-04-27 11:44

from django.db import migrations, models
import django.db.models.deletion
import uuid


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('user', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='Adopsi',
            fields=[
                ('hewan_id', models.UUIDField(default=uuid.uuid4, editable=False, primary_key=True, serialize=False)),
                ('nama', models.CharField(max_length=1000)),
                ('jenis', models.CharField(max_length=1000)),
                ('ras', models.CharField(max_length=1000)),
                ('warna', models.CharField(max_length=1000)),
                ('deskripsi', models.CharField(max_length=1000)),
                ('status', models.CharField(choices=[('Belum diadopsi', 'Belum diadopsi'), ('Diadopsi', 'Diadopsi')], default='Belum diadopsi', max_length=50)),
            ],
        ),
        migrations.CreateModel(
            name='Register_Adopsi',
            fields=[
                ('id', models.CharField(default='7j6tAD', editable=False, max_length=6, primary_key=True, serialize=False, unique=True)),
                ('date', models.DateTimeField()),
                ('status', models.CharField(default='Menunggu konfirmasi', max_length=50)),
                ('customer', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='user.customer')),
                ('hewan', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='adopsi.adopsi')),
            ],
        ),
    ]
